# Poco

# class Base64DecoderBuf

Library: Foundation
Package: Streams
Header: Poco/Base64Decoder.h

## Description

This streambuf base64-decodes all data read from the istream connected to it.

Note: For performance reasons, the characters are read directly from the given istream's underlying streambuf, so the state of the istream will not reflect that of its streambuf.

## Inheritance

Direct Base Classes: UnbufferedStreamBuf

All Base Classes: UnbufferedStreamBuf

## Constructors

### Base64DecoderBuf

Base64DecoderBuf(
std::istream & istr,
int options = 0
);

## Destructor

### ~Base64DecoderBuf

~Base64DecoderBuf();